Loading...
Searching...
No Matches
{he,sy}ev_2stage: eig, QR iteration
LAPACK » Hermitian/symmetric eigenvalues » Standard eig driver, AV = VΛ
Collaboration diagram for {he,sy}ev_2stage: eig, QR iteration:

## Functions

subroutine | cheev_2stage (jobz, uplo, n, a, lda, w, work, lwork, rwork, info)
| CHEEV_2STAGE computes the eigenvalues and, optionally, the left and/or right eigenvectors for HE matrices
subroutine | dsyev_2stage (jobz, uplo, n, a, lda, w, work, lwork, info)
| DSYEV_2STAGE computes the eigenvalues and, optionally, the left and/or right eigenvectors for SY matrices
subroutine | ssyev_2stage (jobz, uplo, n, a, lda, w, work, lwork, info)
| SSYEV_2STAGE computes the eigenvalues and, optionally, the left and/or right eigenvectors for SY matrices
subroutine | zheev_2stage (jobz, uplo, n, a, lda, w, work, lwork, rwork, info)
| ZHEEV_2STAGE computes the eigenvalues and, optionally, the left and/or right eigenvectors for HE matrices

## Detailed Description